# Class ScatterPlotEvent

java.lang.Object
uk.ac.starlink.ttools.plot.PlotEvent
uk.ac.starlink.ttools.plot.ScatterPlotEvent

public class ScatterPlotEvent extends PlotEvent
PlotEvent for scatter plots.

Since:
  3 Apr 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ScatterPlotEvent(Component source, PlotState plotState, int nPotential, int nIncluded, int nVisible, XYStats[] xyStats)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`XYStats[]`
`getXYStats()`
Returns an array of the calculated linear correlation statistics for each set, if correlation calculations were requested.

### Methods inherited from class PlotEvent

`getIncludedPointCount, getPlotState, getPotentialPointCount, getSource, getVisiblePointCount`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScatterPlotEvent

public ScatterPlotEvent(Component source, PlotState plotState, int nPotential, int nIncluded, int nVisible, XYStats[] xyStats)
Constructor.

Parameters:
  `source` - source of this event
  `plotState` - plot state reflected by this change event
  `nPotential` - total number of points available
  `nIncluded` - number of points included in marked subsets
  `nVisible` - number of points actually plotted
  `xyStats` - calculated correlation statistics for each set if applicable

## Method Details

### getXYStats

public XYStats[] getXYStats()
Returns an array of the calculated linear correlation statistics for each set, if correlation calculations were requested.

Returns:
  nset-element array of correlation statistics if required